<?php
if ( function_exists('register_sidebar') )
{
    register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
}

// Add WP 3.0 Menu Theme Support
if ( function_exists( 'add_theme_support' ) ) { 
	add_theme_support( 'nav-menus' );
}

function wp_list_pages2($limit=NULL) {
	
	$defaults = array('depth' => 0, 'show_date' => '', 'date_format' => get_option('date_format'),
		'child_of' => 0, 'exclude' => '', 'title_li' =>'', 'echo' => 1, 'authors' => '', 'sort_column' => 'menu_order, post_title');
	$r = array_merge((array)$defaults, (array)$r);

	$output = '';
	$current_page = 0;

	// sanitize, mostly to keep spaces out
	$r['exclude'] = preg_replace('[^0-9,]', '', $r['exclude']);

	// Allow plugins to filter an array of excluded pages
	$r['exclude'] = implode(',', apply_filters('wp_list_pages_excludes', explode(',', $r['exclude'])));

	// Query pages.
	$pages = get_pages($r);

	if ( !empty($pages) ) {

		for($i=0;$i<count($pages);$i++)
		{
			$class='';
			if(is_page($pages[$i]->post_title))
				$class=' class="select" ';
			$output .='<li><a '.$class.' href="'.get_page_link($pages[$i]->ID).'"><span>'.$pages[$i]->post_title.'</span></a></li>';
			if($limit!=NULL)
			{
				break;
			}
		}
	}

	$output = apply_filters('wp_list_pages', $output);

	echo $output;
}


/* ======================== ADMIN ========================================= */

// Hook for adding admin menus
add_action('admin_menu', 'theme_ads_add_pages');

if(!get_option('theme_ads_block_number'))
{
	add_option('theme_ads_block_number', 4, '');
}



// action function for above hook
function theme_ads_add_pages() {
    // Add a new submenu under Options:
    add_options_page('Рекламные места', 'Реклама', 8, 'theme_ads', 'theme_ads_options_page');
}

// mt_options_page() displays the page content for the Test Options submenu
function theme_ads_options_page() {

$theme_ads_page_options = 'theme_ads_block_number';


?>
<div class="wrap">

<form method="post" action="options.php">
<fieldset>
<?php wp_nonce_field('update-options'); ?>
<h2>Настройки рекламных мест</h2>
<br />
<h3>Количество мест</h3>
<table>
	<tr>
    	<td><label for="theme_ads_block_number">Количество блоков</label></td>
        <td>:</td>
        <td><input type="text" name="theme_ads_block_number" id="theme_ads_block_number" value="<?php echo get_option('theme_ads_block_number'); ?>" /></td>
    </tr>
</table>

<h3>URL рекламного места</h3>
<table>
<?
	$theme_ads_block_number = get_option('theme_ads_block_number');

	if(!$theme_ads_block_number || $theme_ads_block_number<=0)
		$theme_ads_block_number = 1;
	
	for($ta_i=0;$ta_i<$theme_ads_block_number;$ta_i++)
	{
		$ta_id = $ta_i+1;
	?>
	<tr>
    	<td>
        	<table style="padding:0 0 0 50px;" cellpadding="0">
            	<tr>
                	<td colspan="3"><h4>Область <? echo $ta_id; ?></h4></td>
                </tr>
            	<tr>
                	<td style="padding:0 0 0 20px;"><label for="theme_ads_link_<? echo $ta_id; ?>">Ссылка</label></td>
                    <td>:</td>
                    <td><input type="text" name="theme_ads_link_<? echo $ta_id; ?>" id="theme_ads_link_<? echo $ta_id; ?>" value="<?php $ta_link_url = get_option('theme_ads_link_'.$ta_id); if( $ta_link_url!='' ) echo $ta_link_url; else echo 'http://'; ?>" onclick="this.select();" /></td>
                </tr>
            	<tr>
                	<td style="padding:0 0 0 20px;"><label for="theme_ads_img_<? echo $ta_id; ?>">URL изображения</label></td>
                    <td>:</td>
                    <td><input type="text" name="theme_ads_img_<? echo $ta_id; ?>" id="theme_ads_img_<? echo $ta_id; ?>" value="<?php $ta_img_url = get_option('theme_ads_img_'.$ta_id); if( $ta_img_url!='' ) echo $ta_img_url; else echo 'http://'; ?>" onclick="this.select();" /></td>
                </tr>
            </table>
        </td>
    </tr>
    <?
		$theme_ads_page_options .= ',theme_ads_link_'.$ta_id.',theme_ads_img_'.$ta_id;
	}
?>
    <tr>
    	<td>
            <p class="submit">
            <input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" />
            </p>
        </td>
    </tr>
</table>
</fieldset>
<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="<? echo $theme_ads_page_options; ?>" />

</form>

</div>
<?
}

function theme_ads_show()
{

	$theme_ads_block_number = get_option('theme_ads_block_number');
	for($i=0;$i<$theme_ads_block_number;$i++)
	{
		$ta_link_url = get_option('theme_ads_link_'.($i+1));
		if($ta_link_url=='http://')
			$ta_link_url = '';
		$ta_img_url = get_option('theme_ads_img_'.($i+1));
		if($ta_img_url=='http://')
			$ta_img_url = '';
	?>
		<div <? if(($i+1)==$theme_ads_block_number) echo 'class="last"'; ?>>
			<?
			if($ta_img_url!='' && $ta_link_url!='')
			{
			?>
			<a href="<?php echo $ta_link_url; ?>"><img src="<?php echo $ta_img_url; ?>" alt="" /></a>
			<?
			}
			else
			{
			?>
			<a href="http://skobkin.ru/"><img src="<?php bloginfo('template_url')?>/images/125x125_1.gif" alt="Реклама" /></a>
			<?
			}
			?>
		</div>
	<?
	}
}

/* +++++++++++++++++++++++++++ ADMIN END ++++++++++++++++++++++++++++++++++++++++++++++++  */



?>
